{% extends appTheme.getTheme~'/base.html.twig' %}
{% from "default/macros/form.html.twig" import input_field %}

{% block title %}{% trans %}Ajout d'un utilisateur{% endtrans %}{% endblock %}

{% block body %}

    <div class="container">
        <h1>{% trans %}Création d'un compte utilisateur{% endtrans %}</h1>
        <p class="title-notice notice">{% trans %}Tous les champs comportants * sont obligatoires.{% endtrans %}</p>

        <div class="container-small">
        {{ form_start(userForm, {'attr': {'id': 'form_user', 'class': 'form-custom form-add-user'}}) }}
            <div class="inputs-wrapper">
                {{ input_field(userForm.roles) }}
                {{ input_field(userForm.username) }}
                {{ input_field(userForm.email) }}
                {{ input_field(userForm.name) }}
                {% if userForm.service is defined %}
                    {{ input_field(userForm.service) }}
                {% endif %}
                {% if userForm.address is defined %}
                    {{ input_field(userForm.address) }}
                {% endif %}
                {% if userForm.additionalAddress is defined %}
                    {{ input_field(userForm.additionalAddress) }}
                {% endif %}
                {% if userForm.postalCode is defined %}
                    {{ input_field(userForm.postalCode) }}
                {% endif %}
                {% if userForm.town is defined %}
                    {{ input_field(userForm.town) }}
                {% endif %}
            </div>

            <div class="flex-container align-right">
                {{ form_row(userForm.send, {'attr': {'class': 'border-button'}}) }}
            </div>
            {{ form_end(userForm) }}
        </div>

        <a href="{{ path('admin_user_list') }}" title="{% trans %}Retour à la gestion des utilisateurs{% endtrans %}" class="back-link">
            <i class="icon-back"></i> {% trans %}Retour à la gestion des utilisateurs{% endtrans %}
        </a>
    </div>

{% endblock %}

{% block javascripts %}
 {{ encore_entry_script_tags('userAdd', null, 'default') }}
{% endblock %}
